{
  "description": "iSCSI plugin for Docker",
  "interface": {
    "socket": "volume-iscsi.sock",
    "types": [
      "docker.volumedriver/1.0"
    ]
  },
  "entrypoint": [ "/docker-volume-iscsi" ],
  "network": {
    "type": "host"
  },
  "linux": {
    "capabilities": [
      "CAP_SYS_ADMIN"
    ],
    "allowAllDevices": true
  },
  "mounts": [
    {
      "type": "bind",
      "source": "/var/lib/docker/plugins",
      "destination": "/var/lib/docker/plugins",
      "options": ["rbind"]
    },
    {
      "type": "bind",
      "source": "/",
      "destination": "/host",
      "options": ["rbind"]
    },
    {
      "type": "bind",
      "source": "/dev",
      "destination": "/dev",
      "options": ["rbind"]
    }
  ],
  "propagatedmount": "/var/lib/docker/volumes"
}
